Offboard Endpoint

Offboard Endpoint
API to offboard the endpoint

API to offboard the endpoint from License Hub.

Request
URI
DELETE
https://{api_host}/licensing/endpoints/{endpoint-id}
COPY
Path Parameters
string
endpoint-id
Required

Endpoint UUID

Query Parameters
boolean
force_delete
Optional
Constraints: default: false

If the connection between the endpoint and the License Hub is unhealthy, the force_delete parameter can be used. When force_delete is set to true, the License Hub will perform a best-effort offboarding and ignore any errors from the endpoint. Please note that while this removes the endpoint from the License Hub, some references to the License Hub may remain on the endpoint. This can cause issues when attempting to onboard the endpoint to a new License Hub. In such cases, the force_onboard parameter must be used during the onboarding process.


Request Body

Credentials for the endpoint to be able to connect to and offboard the endpoint.

BaseEndpointConnectionInfo of type(s) application/json
Required
{
    "username": "string",
    "password": "string",
    "certificate": "string"
}
string
username
Optional

Username for endpoint authentication. Required for all operations (onboard, reconnect, offboard).

string
password
Optional

Password for endpoint authentication. Required for all operations (onboard, reconnect, offboard).

string
certificate
Optional

Certificate for endpoint authentication. Required for onboard and reconnect operations.

Authentication
This operation uses the following authentication methods.
Responses
202

Offboard request has been accepted.

Operation doesn't return any data structure

400

Bad Request

Returns BadRequest of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


default

unexpected error

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required

Message describing the error.


Code Samples
COPY
                    curl -X DELETE -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/licensing/endpoints/{endpoint-id}